Bug 2943 - utils/net_rpc.c: unsigned int compared to zero
utils/net_rpc.c: unsigned int compared to zero
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 minor
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 12:31 UTC by Jason Mader
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-08-01 12:31:29 UTC
cc-1183 cc: WARNING File = utils/net_rpc.c, Line = 4978
  An unsigned integer is being compared to zero.

        if (push_ucs2_talloc(mem_ctx, &uni_domain_name, domain_name_pol) < 0) {
                                                                         ^

cc-1183 cc: WARNING File = utils/net_rpc.c, Line = 5132
  An unsigned integer is being compared to zero.

        if (push_ucs2_talloc(mem_ctx, &uni_dom_name, trusted_dom_name) < 0) {
                                                                       ^
Comment 1 Tim Potter 2005-08-02 12:08:48 UTC
Fixed - thanks!
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:17 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.